org.jbpm.services.ejb

## Interface TaskServiceEJBLocal

- All Superinterfaces:
    org.kie.api.runtime.CommandExecutor, org.kie.internal.task.api.InternalTaskService, org.kie.api.task.TaskService
  All Known Implementing Classes:
    TaskServiceEJBImpl

      public interface TaskServiceEJBLocal
      extends org.kie.api.task.TaskService, org.kie.internal.task.api.InternalTaskService

- - ### Method Summary

    - ### Methods inherited from interface org.kie.internal.task.api.InternalTaskService

      `addAttachment, addContent, addContent, addGroup, addMarshallerContext, addOutputContentFromUser, addTask, addUser, addUsersAndGroups, archiveTasks, claim, claimNextAvailable, deleteAttachment, deleteContent, deleteFault, deleteOutput, deployTaskDef, executeReminderForTask, getActiveTasks, getActiveTasks, getAllAttachmentsByTaskId, getAllContentByTaskId, getAllTaskDef, getArchivedTasks, getCompletedTaskByUserId, getCompletedTasks, getCompletedTasks, getCompletedTasksByProcessId, getContentByIdForUser, getDescriptions, getExpirationDate, getGroupById, getGroups, getMarshallerContext, getOrganizationalEntityById, getOutputContentMapForUser, getPendingSubTasksByParent, getPendingTaskByUserId, getPotentialOwnersForTaskIds, getPriority, getSubTasksAssignedAsPotentialOwner, getSubTasksByParent, getSubTaskStrategy, getTaskDefById, getTaskEventsById, getTaskInstanceById, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsExcludedOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDate, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatusByGroup, getTasksAssignedAsRecipient, getTasksAssignedAsTaskInitiator, getTasksAssignedAsTaskStakeholder, getTasksAssignedByGroup, getTasksAssignedByGroups, getTasksByStatusByProcessInstanceIdByTaskName, getTasksOwned, getTasksOwnedByExpirationDate, getTasksOwnedByExpirationDateBeforeSpecifiedDate, getTasksOwnedByExpirationDateOptional, getUserById, getUserInfo, getUsers, isSkipable, remove, removeAllTasks, removeGroup, removeMarshallerContext, removeTaskEventsById, removeTasks, removeUser, setDescriptions, setDocumentContentFromUser, setFault, setOutput, setPriority, setSkipable, setSubTaskStrategy, setTaskNames, setUserInfo, taskSummaryQuery, undeployTaskDef`

    - ### Methods inherited from interface org.kie.api.task.TaskService

      `activate, addComment, addComment, addTask, claim, claimNextAvailable, complete, delegate, deleteComment, exit, fail, forward, getAllCommentsByTaskId, getAttachmentById, getCommentById, getContentById, getTaskById, getTaskByWorkItemId, getTaskContent, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByProcessId, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariousFields, getTasksByVariousFields, getTasksOwned, getTasksOwnedByStatus, nominate, release, resume, setExpirationDate, skip, start, stop, suspend`

    - ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

      `execute`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.